- Qt 6.4
- Qt 3D
- C++ Classes
- Qt3DAnimation
- QAdditiveClipBlend
- Qt 6.4.2 Reference Documentation

# QAdditiveClipBlend Class

class Qt3DAnimation::QAdditiveClipBlend

Performs an additive blend of two animation clips based on an additive factor. More...

Header: | #include <QAdditiveClipBlend>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3danimation) target_link_libraries(mytarget PRIVATE Qt6::3danimation)
qmake: | QT += 3danimation
Since: | Qt 5.9
Instantiated By: | AdditiveClipBlend
Inherits: | Qt3DAnimation::QAbstractClipBlendNode

- List of all members, including inherited members

## Properties

- additiveClip : Qt3DAnimation::QAbstractClipBlendNode*
- additiveFactor : float
- baseClip : Qt3DAnimation::QAbstractClipBlendNode*

## Public Functions

Qt3DAnimation::QAbstractClipBlendNode * | additiveClip() const
float | additiveFactor() const
Qt3DAnimation::QAbstractClipBlendNode * | baseClip() const

## Public Slots

void | setAdditiveClip(Qt3DAnimation::QAbstractClipBlendNode *additiveClip)
void | setAdditiveFactor(float additiveFactor)
void | setBaseClip(Qt3DAnimation::QAbstractClipBlendNode *baseClip)

## Signals

void | additiveClipChanged(Qt3DAnimation::QAbstractClipBlendNode *additiveClip)
void | additiveFactorChanged(float additiveFactor)
void | baseClipChanged(Qt3DAnimation::QAbstractClipBlendNode *baseClip)

## Detailed Description

QAdditiveClipBlend can be useful to create advanced animation effects based on individual animation clips. For example, if you:

- set the baseClip property to a normal walk cycle animation clip and
- set the additiveClip property to a shaking head difference clip,

then adjusting the additiveFactor property will control how much of the additiveClip gets added on to the baseClip. This has he effect that with an additiveFactor of zero, this blend node will yield the original walk cycle clip. With an additiveFactor of 1, it will yield the walk cycle including a shaking head animation.

The blending operation implemented by this class is:

     resultClip = baseClip + additiveFactor * additiveClip

There is nothing stopping you from using values for the additiveFacor property outside the 0 to 1 range, but please be aware that the input animation clips may not be authored in such a way for this to make sense.

See also QBlendedClipAnimator.

## Property Documentation

### additiveClip : Qt3DAnimation::QAbstractClipBlendNode*

This property holds the additive clip to be blended with the baseClip. The amount of blending is controlled by the additiveFactor property.

Access functions:

Qt3DAnimation::QAbstractClipBlendNode * | additiveClip() const
void | setAdditiveClip(Qt3DAnimation::QAbstractClipBlendNode *additiveClip)

Notifier signal:

void | additiveClipChanged(Qt3DAnimation::QAbstractClipBlendNode *additiveClip)

### additiveFactor : float

Specifies the blending factor, typically between 0 and 1, to control the blending of two animation clips.

Access functions:

float | additiveFactor() const
void | setAdditiveFactor(float additiveFactor)

Notifier signal:

void | additiveFactorChanged(float additiveFactor)

### baseClip : Qt3DAnimation::QAbstractClipBlendNode*

This property holds the base animation clip. When the additiveFactor is zero the baseClip will also be the resulting clip of this blend node.

Access functions:

Qt3DAnimation::QAbstractClipBlendNode * | baseClip() const
void | setBaseClip(Qt3DAnimation::QAbstractClipBlendNode *baseClip)

Notifier signal:

void | baseClipChanged(Qt3DAnimation::QAbstractClipBlendNode *baseClip)